Bug 176598 - [PATCH] chinese/qterm: update to 0.5.12, take maintainership
Summary: [PATCH] chinese/qterm: update to 0.5.12, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 10:50 UTC by kaiwang27
Modified: 2013-03-19 14:10 UTC (History)
0 users

See Also:


Attachments
qterm-0.5.12.patch (9.83 KB, patch)
2013-03-02 10:50 UTC, kaiwang27
no flags Details | Diff
qterm.txt (9.76 KB, text/plain; charset=utf-8)
2013-03-02 10:57 UTC, kaiwang27
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaiwang27 2013-03-02 10:50:00 UTC
- Update to 0.5.12
- Take maintainership

Added file(s):
- files/patch-CMakeLists.txt

Removed file(s):
- files/patch-qterm-main.cpp
- files/patch-qterm-qtermwindow.h
- pkg-message

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 kaiwang27 2013-03-02 10:57:22 UTC
The submitted patch included some local changes only for debugging
purpose. Please use the attached patch instead.

Thanks,
Kai
Comment 2 Max Brazhnikov freebsd_committer 2013-03-05 15:41:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-03-19 14:01:34 UTC
Author: makc
Date: Tue Mar 19 14:01:20 2013
New Revision: 314647
URL: http://svnweb.freebsd.org/changeset/ports/314647

Log:
  - Update to 0.5.12
  - Convert to new option framework
  - Pass maintainership to submitter
  
  PR:		ports/176598
  Submitted by:	Kai Wang <kaiwang27@gmail.com>

Added:
  head/chinese/qterm/files/patch-src__CMakeLists.txt   (contents, props changed)
Deleted:
  head/chinese/qterm/files/patch-qterm-main.cpp
  head/chinese/qterm/files/patch-qterm-qtermwindow.h
  head/chinese/qterm/pkg-message
Modified:
  head/chinese/qterm/Makefile   (contents, props changed)
  head/chinese/qterm/distinfo   (contents, props changed)
  head/chinese/qterm/pkg-descr   (contents, props changed)
  head/chinese/qterm/pkg-plist   (contents, props changed)

Modified: head/chinese/qterm/Makefile
==============================================================================
--- head/chinese/qterm/Makefile	Tue Mar 19 13:54:39 2013	(r314646)
+++ head/chinese/qterm/Makefile	Tue Mar 19 14:01:20 2013	(r314647)
@@ -1,47 +1,70 @@
-# New ports collection makefile for:   qterm
-# Date created:                10 Mar 2001
-# Whom:                        Shen Chuan-Hsing
-#
+# Created by: Shen Chuan-Hsing
 # $FreeBSD$
-#
 
 PORTNAME=	qterm
-PORTVERSION=	0.4.1
-PORTREVISION=	8
+PORTVERSION=	0.5.12
 CATEGORIES=	chinese
-MASTER_SITES=	 SF/qterm/qterm/${PORTVERSION}
+MASTER_SITES=	SF/qterm/qterm/${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	QTerm is a BBS client for BSD/Linux
+MAINTAINER=	kaiwang27@gmail.com
+COMMENT=	BBS client for BSD/Linux
 
-DEPRECATED=	Depends on QT3; unmaintained
-EXPIRATION_DATE=	2013-07-01
-
-USE_XORG=	x11 ice xext xt xaw xpm xi xproto xextproto
 USE_BZIP2=	yes
-USE_PERL5_BUILD=yes
-USE_QT_VER=	3
-HAS_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-mt --prefix=${PREFIX}
-LDFLAGS+=	-L${LOCALBASE}/lib
-
-.if !defined(WITHOUT_PYTHON)
-USE_PYTHON=	2.5+
-CONFIGURE_ARGS+=	--with-pythondir=${LOCALBASE}
+USE_CMAKE=	yes
+USE_PERL5_BUILD=	yes
+USE_QT4=	codecs-cn_run codecs-tw_run gui help-tools_build \
+		linguist_build moc_build network qt3support_build \
+		qmake_build rcc_build uic_build xml
+USE_XORG=	x11 ice
+MAKE_JOBS_SAFE=	yes
+INSTALLS_ICONS=	yes
+
+OPTIONS_DEFINE=	DBUS OPENSSL PHONON QTSCRIPT KDE
+OPTIONS_DEFAULT=	DBUS OPENSSL PHONON QTSCRIPT
+
+PHONON_DESC=	Multimedia support via Phonon
+QTSCRIPT_DESC=	Scripting support via QtScript Bindings
+KDE_DESC=	Password management via KWallet
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MOPENSSL}
+USE_OPENSSL=	yes
+CMAKE_ARGS+=	-DQTERM_ENABLE_SSH:BOOL=TRUE
+.else
+CMAKE_ARGS+=	-DQTERM_ENABLE_SSH:BOOL=FALSE
 .endif
 
-pre-everything::
-.if !defined(WITHOUT_PYTHON)
-	@${ECHO_MSG} "Define WITHOUT_PYTHON to disable Python scripts support."
+.if ${PORT_OPTIONS:MDBUS}
+USE_QT4+=	dbus
+CMAKE_ARGS+=	-DQTERM_ENABLE_DBUS:BOOL=TRUE
+.else
+CMAKE_ARGS+=	-DQTERM_ENABLE_DBUS:BOOL=FALSE
 .endif
 
-post-patch:
-	@${REINPLACE_CMD} -e 's,-lssl,-lssl -lcrypto,' \
-		${WRKSRC}/configure
+.if ${PORT_OPTIONS:MPHONON}
+USE_QT4+=	phonon
+CMAKE_ARGS+=	-DQTERM_ENABLE_PHONON:BOOL=TRUE
+.else
+CMAKE_ARGS+=	-DQTERM_ENABLE_PHONON:BOOL=FALSE
+.endif
+
+.if ${PORT_OPTIONS:MQTSCRIPT}
+USE_QT4+=	script
+RUN_DEPENDS+=	${QT_PLUGINDIR}/script/libqtscript_core.so:${PORTSDIR}/devel/qtscriptgenerator
+CMAKE_ARGS+=	-DQTERM_ENABLE_SCRIPT:BOOL=TRUE
+.else
+CMAKE_ARGS+=	-DQTERM_ENABLE_SCRIPT:BOOL=FALSE
+.endif
 
-post-install:
-	@${CHMOD} +w ${DATADIR}/qterm.cfg
-	@${CHMOD} +w ${DATADIR}/address.cfg
-	@${CAT} ${PKGMESSAGE}
+.if ${PORT_OPTIONS:MKDE}
+USE_KDE4=	kdelibs automoc4
+.endif
+
+post-patch:
+.if !${PORT_OPTIONS:MKDE}
+	${REINPLACE_CMD} -e "/^find_package(KDE4)/d" ${WRKSRC}/CMakeLists.txt
+.endif
+	${REINPLACE_CMD} -e "/^set(QT_MIN_VERSION/d" ${WRKSRC}/CMakeLists.txt
 
 .include <bsd.port.mk>

Modified: head/chinese/qterm/distinfo
==============================================================================
--- head/chinese/qterm/distinfo	Tue Mar 19 13:54:39 2013	(r314646)
+++ head/chinese/qterm/distinfo	Tue Mar 19 14:01:20 2013	(r314647)
@@ -1,2 +1,2 @@
-SHA256 (qterm-0.4.1.tar.bz2) = 60c19303bc2eba11273607ae8711f0eecbd0d94b7dd2773cde128338aa5149a1
-SIZE (qterm-0.4.1.tar.bz2) = 744822
+SHA256 (qterm-0.5.12.tar.bz2) = bd31051a6c117b05fef3ea163480143837c57632a84eab43e8e142860bcab22a
+SIZE (qterm-0.5.12.tar.bz2) = 749254

Added: head/chinese/qterm/files/patch-src__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/qterm/files/patch-src__CMakeLists.txt	Tue Mar 19 14:01:20 2013	(r314647)
@@ -0,0 +1,10 @@
+--- ./src/CMakeLists.txt.orig	2011-03-05 19:10:11.000000000 +0000
++++ ./src/CMakeLists.txt	2013-03-17 00:48:41.239852359 +0000
+@@ -14,6 +14,7 @@
+ if(UNIX)
+    find_package(X11)
+    set(optionalLibs ${optionalLibs} ${X11_X11_LIB})
++   include_directories(${X11_INCLUDE_DIR})
+ endif(UNIX)
+ 
+ 

Modified: head/chinese/qterm/pkg-descr
==============================================================================
--- head/chinese/qterm/pkg-descr	Tue Mar 19 13:54:39 2013	(r314646)
+++ head/chinese/qterm/pkg-descr	Tue Mar 19 14:01:20 2013	(r314647)
@@ -1,12 +1,14 @@
-QTerm is a BBS client for X Window System.  The goal is 
-to make a client similar to Fterm and CTerm in MS Windows.
+QTerm is a BBS client for X Window System.
 
 Features:
-1.mouse support
-2.copy and paste
-3.article download
-4.address book
-5.anti-idle
-6.converting between GB and BIG5
+ * support mouse in Firebird BBS
+ * copy and paste
+ * article download
+ * address book
+ * proxy support
+ * anti-ilde
+ * auto-reply
+ * display and input cross language GB and BIG5
+ * QtScript support
 
 WWW: http://qterm.sourceforge.net/wiki/

Modified: head/chinese/qterm/pkg-plist
==============================================================================
--- head/chinese/qterm/pkg-plist	Tue Mar 19 13:54:39 2013	(r314646)
+++ head/chinese/qterm/pkg-plist	Tue Mar 19 14:01:20 2013	(r314647)
@@ -1,64 +1,55 @@
 bin/qterm
 share/applications/qterm.desktop
-share/icons/qterm.png
-%%DATADIR%%/address.cfg
-%%DATADIR%%/credits
-%%DATADIR%%/cursor/end.xpm
-%%DATADIR%%/cursor/enter.xpm
-%%DATADIR%%/cursor/exit.xpm
-%%DATADIR%%/cursor/hand.xpm
-%%DATADIR%%/cursor/home.xpm
-%%DATADIR%%/cursor/next.xpm
-%%DATADIR%%/cursor/pagedown.xpm
-%%DATADIR%%/cursor/pageup.xpm
-%%DATADIR%%/cursor/prev.xpm
-%%DATADIR%%/pic/addr.png
-%%DATADIR%%/pic/anti-idle.png
-%%DATADIR%%/pic/article.png
-%%DATADIR%%/pic/auto-reply.png
-%%DATADIR%%/pic/color-copy.png
-%%DATADIR%%/pic/color.png
-%%DATADIR%%/pic/connect.png
-%%DATADIR%%/pic/copy.png
-%%DATADIR%%/pic/disconnect.png
-%%DATADIR%%/pic/fonts.png
-%%DATADIR%%/pic/keys.png
-%%DATADIR%%/pic/message.png
-%%DATADIR%%/pic/messagebox_critical.png
-%%DATADIR%%/pic/messagebox_info.png
-%%DATADIR%%/pic/messagebox_warning.png
-%%DATADIR%%/pic/mouse.png
-%%DATADIR%%/pic/paste.png
-%%DATADIR%%/pic/popwidget.png
-%%DATADIR%%/pic/pref.png
-%%DATADIR%%/pic/qterm_32x32.png
-%%DATADIR%%/pic/qterm_48x48.png
-%%DATADIR%%/pic/qterm_tray.png
-%%DATADIR%%/pic/quick.png
-%%DATADIR%%/pic/reconnect.png
-%%DATADIR%%/pic/rect.png
-%%DATADIR%%/pic/refresh.png
-%%DATADIR%%/pic/shadow.png
-%%DATADIR%%/pic/sound.png
-%%DATADIR%%/pic/tabpad.png
-%%DATADIR%%/po/qterm_chs.qm
-%%DATADIR%%/po/qterm_cht.qm
-%%DATADIR%%/qterm.cfg
-%%DATADIR%%/schema/Linux.schema
-%%DATADIR%%/schema/Softness.schema
-%%DATADIR%%/schema/VIM.schema
-%%DATADIR%%/schema/XTerm.schema
-%%DATADIR%%/schema/default.schema
-%%DATADIR%%/script/continuous.py
-%%DATADIR%%/script/download.py
-%%DATADIR%%/script/sendmsg.py
-%%DATADIR%%/script/system.py
-%%DATADIR%%/script/tools.py
-@dirrm %%DATADIR%%/script
-@dirrm %%DATADIR%%/schema
-@dirrm %%DATADIR%%/po
-@dirrm %%DATADIR%%/pic
-@dirrm %%DATADIR%%/cursor
-@dirrm %%DATADIR%%
+share/icons/hicolor/128x128/apps/qterm.png
+share/icons/hicolor/16x16/apps/qterm.png
+share/icons/hicolor/22x22/apps/qterm.png
+share/icons/hicolor/32x32/apps/qterm.png
+share/icons/hicolor/48x48/apps/qterm.png
+share/icons/hicolor/64x64/apps/qterm.png
+share/qterm/address.xml
+share/qterm/credits
+share/qterm/doc/qterm.qhc
+share/qterm/keyboard_profiles/default.keytab
+share/qterm/keyboard_profiles/linux.keytab
+share/qterm/keyboard_profiles/solaris.keytab
+share/qterm/keyboard_profiles/vt420pc.keytab
+share/qterm/po/qterm_chs.qm
+share/qterm/po/qterm_cht.qm
+share/qterm/qterm.cfg
+share/qterm/scheme/Linux.scheme
+share/qterm/scheme/Softness.scheme
+share/qterm/scheme/VIM.scheme
+share/qterm/scheme/XTerm.scheme
+share/qterm/scheme/default.scheme
+share/qterm/scripts/article.js
+share/qterm/scripts/console.js
+share/qterm/scripts/google.js
+share/qterm/scripts/highlight.js
+share/qterm/scripts/ptt.js
+share/qterm/scripts/senddelay.js
+share/qterm/scripts/smth.js
+share/qterm/scripts/ui/senddelay.ui
+share/qterm/scripts/utils.js
+share/qterm/scripts/websnap.js
+@dirrm share/qterm/scripts/ui
+@dirrm share/qterm/scripts
+@dirrm share/qterm/scheme
+@dirrm share/qterm/po
+@dirrm share/qterm/keyboard_profiles
+@dirrm share/qterm/doc
+@dirrm share/qterm
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/22x22/apps
+@dirrmtry share/icons/hicolor/22x22
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
 @dirrmtry share/icons
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2013-03-19 14:01:54 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!